The Wine maintenance release 4.0.3 is now available.

What's new in this release (see below for details):
  - Various bug fixes
  - Updates to the National Language Support files

The source is available from the following locations:

  https://dl.winehq.org/wine/source/4.0/wine-4.0.3.tar.xz
  http://mirrors.ibiblio.org/wine/source/4.0/wine-4.0.3.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 4.0.3 (total 54):

   8848  SWAT4 Areas that should be in shadow and people are rendered solid black
  12332  Microsoft Windows Server 2003 DDK SP1 installer crashes ('setupapi.SetupCloseFileQueue' should do proper handle validation before accessing members)
  14695  Lifeforce demo misses codecs (msvideo1 needs to support 24 bpp output)
  25180  Clonk Endeavour's intro video is not rendered correctly (iccvid does not support non-multiple of 4 video width)
  27185  Futuremark PC Mark 7 (.NET 4.0 app) fails to run with Wine-Mono (mscoree:get_runtime Unrecognized version L"v4.0.20926")
  28196  Test Drive Unlimited: Water is always rendered on top of everything.
  31350  Multiple .NET 3.x WPF applications crash in Vista/Win7 mode due to dwmapi.DwmGetTransportAttributes stub returning E_NOTIMPL (T-Online Mediencenter Assistent, Valil.Chess, Zwift 1.0)
  38182  King of Dragon Pass: can't change audio volume level
  38421  Windows Media Player 9 & 10: mp3 sound plays too fast
  38423  Python 3.5.x exe installer fails with Access denied error
  39129  Cygwin's dash.exe crashes during installation
  39614  Wine initialises a Critical Section for Mutexes by NULL instead of (void*)-1
  41657  CoolQ 5.x reports network error on startup due to msscript:ScriptControl_Eval stub
  42078  Dungeons & Dragons: Chronicles of Mystara needs d3dx11_43.dll.D3DX11CreateShaderResourceViewFromMemory
  42374  Hardwood Solitaire can not connect to his server
  43286  WSARecvMsg wrongly forbids NULL control buffers (Qt 5.7.0 based: Cannot read UDP packets: "errno 90, (Message too long)")
  45218  Fallout 4 Script Extender fails to allocate trampoline buffers
  45449  Add diagnostic 'mscoree.dll.CorGetSvc' stub (NGEN client) to hint at broken Microsoft .NET Frameworks installation (Wine-Mono not uninstalled and/or 'mscoree.dll' placeholders not removed prior install)
  45757  Visual Studio 2017 Installer - "The installer manifest failed signature validation"
  45947  Native Access crashes on unimplemented function virtdisk.dll.OpenVirtualDisk
  46450  Volume Control doesn't work in Firefox videos (and browsers based on it) with PulseAudio driver
  46453  The Testament of Sherlock Holmes crashes while loading level with builtin d3dx9_43
  46473  Settlers IV History Edition crashes on startup
  46558  win64 dotnet Space Engineers fractal noise generation broken
  46655  Adobe Photoshop CC 2015.5: Tabs show completely black
  46905  Multiple eventlog monitor applications go haywire (endless console spam, live-loop CPU) due to advapi32.ReadEventLogA/W returning lasterror ERROR_CALL_NOT_IMPLEMENTED
  47013  winebus.sys: hidraw_set_feature_report buffer too small for some devices in SteelSeries Engine
  47023  Warframe in-game screenshot fails if screenshot directory already exists
  47069  Final Fantasy XIV Launcher renders black (needs better get_Busy implementation)
  47082  NI System Web Server crashes on unimplemented function authz.dll.AuthzFreeResourceManager
  47129  Rendering glitch in Caste Siege/Ballerburg (invalid vertex count in IDirect3DDevice3::DrawIndexedPrimitiveVB)
  47137  Multiple applications from Line 6 (Yamaha Guitar Group) crash on startup (HX Edit v2.71, POD Farm 2.5)(Wine builtin 'gdiplus.dll' missing version resource)
  47143  Trackbar thumb is too small in Metatrader 4 expert advisor
  47178  Grand Prix Legends: Service papycpu2 doesn't load
  47190  Custom protocol handler CF doesn't support aggregation
  47214  Oracle Java runtime 8.211 online installer crashes in WoW64
  47234  Wine fails to properly parse and import some of the standard root certificates
  47236  Adobe InDesign CC 2017: crashes at startup: unimplemented function msvcp140.dll._Strxfrm
  47249  CM_Set_Class_Registry_Property should use PCVOID for buffer parameter
  47285  widl generates incorrect format strings when using -Oicf flag
  47327  Japanese texts are overlapped in notepad when using bitmap font.
  47352  Levelhead: Can't connect to game's network
  47367  Some WPF 4.x apps from Windows 10 SDK (10.0.17763.x) spam console with fixme:d3d:wined3d_driver_info_init Unhandled OS version 6.3, reporting Win 8. (WinVer set to 'Windows 8.1')
  47399  Mozart 11-13 crashes on startup
  47418  Quickbooks 2018 installer crashes on Validating Install
  47424  DataTransferLength in SCSI_PASS_THROUGH and SCSI_PASS_THROUGH_DIRECT *must* have return value
  47432  bcrypt always chooses ECB mode when using AES, even if a program indicates otherwise.
  47437  Final Fantasy XIV 5.0 crashes on startup when using xaudio2_8.dll
  47514  AviUtl: Can't add a file to the ExEdit dialog after the first drop.
  47546  Touhou 14-17 experience Spell Name and Music Room text issues starting in Wine 4.1
  47564  Database mistmatch on brazillian timezone (America/Sao_Paulo)
  47578  Omni-NFS 4.13's XLPD Server crashes on unimplemented function ntoskrnl.exe.MmIsThisAnNtAsSystem
  47586  The Sims 1 visually freezes after alt-tabbing when in fullscreen mode
  47706  ntdll: Compiler warnings regression on x86_64 [stable]

----------------------------------------------------------------

Changes since 4.0.2:

Akihiro Sagawa (4):
      usp10/tests: Add advance width tests with CJK bitmap font.
      usp10: Fix advance width when glyph is missing.
      shell32/tests: Add DragQueryPoint tests.
      shell32: Fix return value for DragQueryPoint.

Alex Henrie (2):
      ntoskrnl: Add MmIsThisAnNtAsSystem().
      server: Fix use after free in add_committed_range (scan-build).

Alexandre Julliard (5):
      ntdll: Use the correct type for %llu scanf format.
      server: Fix the returned error code for an invalid NT header offset.
      widl: Use %define parse.error verbose instead of %error-verbose.
      d3dcompiler: Use %define parse.error verbose instead of %error-verbose.
      wbemprox: Use %define parse.error verbose instead of %error-verbose.

Alistair Leslie-Hughes (5):
      authz: Add AuthzFreeResourceManager stub.
      winebus.sys: Increase buffer size to match max length available.
      wininet: Always set last error in InternetReadFile.
      dinput: Ensure buffer doesn't overflow (Coverity).
      advapi32: Don't read a value that might be uninitialized (Coverity).

Andrew Eikum (1):
      ntdll: Fix memory region check in NtQueryVirtualMemory.

Andrey Gusev (1):
      d3dx11: Fix D3DX11CreateShaderResourceViewFromMemory spec entry.

Aric Stewart (1):
      dinput: Handle case where IOHIDDeviceGetValue fails.

Austin English (1):
      advapi32: In ReadEventLogA/W, return ERROR_HANDLE_EOF instead of ERROR_CALL_NOT_IMPLEMENTED.

Bryon Roche (1):
      windowscodecs: Byte swap png read/write for 16-bpp data.

Damjan Jovanovic (1):
      ws2_32: WSARecvMsg allows a NULL control buffer when no control messages arrive.

Dmitry Timoshkov (6):
      crypt32: CryptMsgUpdate should skip broken certificates.
      urlmon/tests: Add a test for ProtocolCF_CreateInstance not supporting aggregation.
      urlmon: If ProtocolCF_CreateInstance doesn't support aggregation retry without it.
      windowscodecs/tests: Add a bunch of new tests for indexed format conversions.
      windowscodecs: Add support for 32bppRGB, 32bppRGBA and 32bppPRGBA to format converter.
      msvcrt: Fix handling of dst == src in wcscpy_s.

Enol Puente (3):
      wrc: Add Asturian locale.
      wmc: Support Asturian.
      kernel32: Add Asturian locale.

Erich Hoover (2):
      advapi32: Move the DACL combining code into a separate routine.
      advapi32: Fix the initialization of combined DACLs when the new DACL is empty.

Ethan Lee (1):
      xaudio2: Export functions by ordinal.

Fabian Maurer (2):
      gdi32: CreatePolyPolygonRgn() returns an empty region when the area is empty.
      setupapi: Correct function parameter for CM_Set_Class_Registry_PropertyA/W.

Gabriel Ivăncescu (4):
      winealsa.drv: Adjust the buffer volume before sending it to ALSA.
      winepulse.drv: Adjust the buffer volume before sending it to PulseAudio.
      comctl32/listbox: Fix mouse wheel scrolling for multi-column listboxes.
      user32/listbox: Fix mouse wheel scrolling for multi-column listboxes.

Gijs Vermeulen (1):
      wine.inf: Update E. South America Standard Time.

Hans Leidekker (5):
      bcrypt: Implement BCryptGenerate/FinalizeKeyPair for ECDH P256.
      bcrypt: Ignore the size parameter in BCRYPT_CHAINING_MODE setters.
      winhttp/tests: Fix some test failures.
      winhttp: Propagate request errors in request_wait.
      wininet/tests: Fix FTP test failures.

Henri Verbeet (2):
      wined3d: Handle Windows 8.1 in wined3d_driver_info_init().
      wined3d: Add GPU information for AMD VEGA12.

Jacek Caban (2):
      ieframe: Keep Busy property in sync with download state.
      msxml3: Fix string length handling in I[VB]SAXContentHandler::characters.

Jactry Zeng (1):
      msscript: Partially implement IScriptControl::Eval().

Jeff Smith (1):
      d3drm: Fix reference leak in d3drm_viewport2_Clear().

John Thomson (1):
      shell32: Do not fail in SHCreateDirectoryExW for ERROR_ALREADY_EXISTS.

Kai Krakow (1):
      wined3d: Add GPU information for NVIDIA GTX 1660 Ti.

Ken Thomases (1):
      winemac: Fix failure to render OpenGL on macOS 10.14 (Mojave).

Kristján Gerhardsson (3):
      wined3d: Add GPU information for various Mac GPUs.
      wined3d: Add GPU information for AMD VEGA20.
      wined3d: Add GPU information for a few more Intel KBL GPUs.

Louis Lenders (2):
      dwmapi: Return DWM_E_COMPOSITIONDISABLED instead of E_NOTIMPL in DwmGetTransportAttributes.
      gdiplus: Add version resource.

Martin Liska (1):
      include: Avoid compound literals for WCHAR strings.

Michael Müller (5):
      avifil32: Correctly handle compressed frames when desired format is specified.
      wininet: Allow to set INTERNET_OPTION_HTTP_DECODING on sessions and connections.
      iccvid: Fix calculation of stride and size.
      msvidc32: Add support for converting 16 bit depth to 24 bit.
      msvidc32: Fix calculation of stride and size.

Nikolay Sivov (7):
      kernel32/tests: Add a test for critical section DebugInfo initial value.
      ntdll: Initialize critical section debug info with correct pointer value.
      comctl32/trackbar: Do not consider window size when initializing fixed length thumb.
      kernel32/nls: Add LOCALE_SPERCENT locale data.
      kernel32/nls: Add LOCALE_SPERMILLE data.
      kernel32/nls: Add percent formatting values.
      kernel32/nls: Add locale data for positive and negative infinity.

Owen Rudge (1):
      wininet/tests: Fix http tests to reflect current state of winehq test server.

Paul Gofman (14):
      d3dx9: Factor out {lock|unlock}_surface() functions.
      d3dx9: Use temporary surface in D3DXFillTexture() for unmappable textures.
      d3dx9: Do not ignore surface map failure in D3DXSaveSurfaceToFileInMemory().
      d3dx9: Use temporary surface in D3DXSaveSurfaceToFileInMemory() for unmappable textures.
      d3dx9: Use {lock|unlock}_surface() in D3DXLoadSurfaceFromMemory().
      d3dx9: Pass rectangle to {lock|unlock}_surface().
      wined3d: Apply stencil mask to stencil reference value.
      ddraw: Fix vertex count in d3d_device3_DrawIndexedPrimitiveVB().
      wined3d: Use 3 component norm for 'nrm' opcode in GLSL backend.
      ddraw: Return DDERR_SURFACELOST from _GetAttachedSurface() if surface is lost.
      ddraw: Restore complex attached surfaces when restoring surface.
      ddraw/tests: Test restoring attached surface for ddraw4.
      ddraw/tests: Test restoring attached surface for ddraw2.
      ddraw/tests: Test restoring attached surface for ddraw1.

Piotr Caban (2):
      msvcp: Add _Strxfrm implementation.
      services: Don't double release process in service_start.

Qian Hong (1):
      advapi32: Initialize the LsaLookupSids() LSA_TRANSLATED_NAME.Name string properly.

Rémi Bernon (1):
      wined3d: Add GPU information for Intel UHD Graphics 620.

Stefan Dösinger (1):
      include: Remove backslashes from D3D12_COLOR_WRITE_ENABLE_ALL.

Sven Baars (8):
      wmp: Fix a crash in put_volume when basic_audio is NULL.
      shell32: Fix an item identifier list leak (Valgrind).
      user32: Fix some leaks on error path (Coverity).
      msrle32: Fix a memory leak (Valgrind).
      comctl32: Always free the tooltip text before setting it (Valgrind).
      d3dx9: Release the full parameter name when a parameter is released (Valgrind).
      d3dx9: Always free samplers (Valgrind).
      shell32: Fix a use after free (Coverity).

Tim Schumacher (1):
      services: Allow reading binary registry values as DWORDs.

Vijay Kiran Kamuju (12):
      virtdisk: Add stub and tests for OpenVirtualDisk.
      kernel/nls: Fix country name in Tatar locale.
      kernel/nls: Fix LOCALE_SNAME for Azeri (Cyrillic).
      kernel/nls: Fix LOCALE_SNAME for Uzbek (Cyrillic).
      kernel/nls: Fix LOCALE_SNAME for Serbian (Cyrillic).
      kernel/nls: Fix country name and sname in English-Caribbean locale.
      kernel/nls: Fix country name in Manx Gaelic locale.
      kernel/nls: Add LOCALE_SMONTHDAY to all supported languages.
      kernel/nls: Fix LOCALE_SLONGDATE and LOCALE_SYEARMONTH for some chinese locales.
      kernel32: Add implementation of CAL_SSHORTESTDAYNAME*.
      kernel32: Add implementation for CAL_SMONTHDAY.
      kernel/nls: Fix LOCALE_SABBREVCTRYNAME for Serbian.

Vincent Povirk (3):
      mscoree: Accept old framework build in exe metadata.
      windowscodecs: Treat 16-bit channels as little endian.
      mscoree: Add diagnostic CorGetSvc stub.

Zebediah Figura (14):
      setupapi: Add magic bytes to struct file_queue and validate them in SetupCloseFileQueue().
      msxml3: Load the version 1 typelib before trying to access it.
      widl: Use IsSimpleRef only for explicitly declared arrays.
      widl: Also allocate top-level pointers to arrays as on-stack in -Oicf mode.
      widl: Mark unions, user types, and ranges as IsSimpleRef.
      quartz/tests: Clean up CommitDecommitTest().
      quartz/tests: Add more tests for standard media samples.
      quartz/memallocator: Clear some sample properties when freeing the sample.
      msi: Close all handles opened by a custom action thread.
      ntdll: Correctly fill DataTransferLength in SCSI_PASS_THROUGH and SCSI_PASS_THROUGH_DIRECT.
      ucrtbase/tests: Add some tests for __stdio_common_vsscanf().
      ucrtbase: Write the %hh prefix as a single char.
      d3d8/tests: Flush events after sending SC_MAXIMIZE.
      d3d9/tests: Add another flush to work around an intermittent test failure on fvwm2.

Zhiyi Zhang (3):
      d3d9/tests: Add a test for stencil reference value truncation.
      wined3d: Truncate stencil reference values to the stencil component size.
      msctf: Add ITfContextOwnerCompositionServices stub.

--
Michael Stefaniuc
mstefani@winehq.org
